View Issue Details

IDProjectCategoryView StatusLast Update
0003862SOGoWeb Calendarpublic2017-01-06 06:42
Reporterstevenbakker Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityrandom
Status resolvedResolutionfixed 
Platform[Server] LinuxOSDebianOS Version8 (Jessie)
Product Version3.2.0 
Fixed in Version3.2.5 
Summary0003862: "Show Only This Calendar" does not hide all other calendars
Description

When selecting the "Show Only This Calendar" option on one of my own calendars,
not all of the other calendars that I am subscribed to disappear from the planner view (on the right). The tick boxes next to their names in the calendar list are removed, though. If I then re-select and de-select an individual calendar, the planner view is updated correctly.

Steps To Reproduce

Create events in a personal calendar.
Subscribe to other people's calendar.
Select them all to be visible in the calendar view.
Select "Show Only This Calendar" on the personal calendar.

Additional Information

Not sure if there is any pattern to the calendars that are not removed from the view.

TagsNo tags attached.

Activities

francis

francis

2016-12-06 12:48

administrator   ~0010953

Can you set SOGoUIxDebugEnabled to YES in your sogo.conf and show me the content of your JavaScript console after having chose "Show only this calendar"?

stevenbakker

stevenbakker

2016-12-08 11:42

reporter   ~0010962

Hi, I've just tried this a few times.


First time:

  • Before: I have four Calendars active: "Steven AMS-IX" (personal calendars), and "Meetingroom", "Luisa Garcia Montoya", and "Job Witteman" (subscriptions).

  • Action: select "Show Only This Calendar" on "Steven AMS-IX"

  • After: The leftmost column shows all calendars but one as inactive, but the calendar display has only removed the "Meetingroom" calendar.

  • Reload page: The leftmost column is updated to show that indeed only the "Meetingroom" calendar was deactivated, the others are still shown as active.

  • JS console:
    angular.js:14110 adrienne_9EF-4F843E00-29-2C0D4240, luisa_1BB2-4EAE8580-FD-28F5D180, job_4C6C-4EAAAE80-197D-62AB9D80 changed
    angular.js:14110 force reload of $tasks
    angular.js:14110 blocks ready (30)
    angular.js:14110 all day blocks ready (8)
    angular.js:14110 list of events ready (24)


Second time:

  • Before: four calendars as above

  • Action: select "Show Only This Calendar" on "Steven AMS-IX"

  • After: The leftmost column shows all calendars but one as inactive, but the calendar display has only removed the "Job Witteman" calendar.

  • Reload page: The leftmost column is updated to show that indeed only the "Job Witteman" calendar was deactivated, the others are still shown as active.

  • JS console:

angular.js:14110 adrienne_9EF-4F843E00-29-2C0D4240, luisa_1BB2-4EAE8580-FD-28F5D180, job_4C6C-4EAAAE80-197D-62AB9D80 changed
angular.js:14110 force reload of $tasks
angular.js:14110 blocks ready (29)
angular.js:14110 all day blocks ready (0)
angular.js:14110 list of events ready (27)

The "all day blocks ready" count is correct for the display, as the "Job Witteman" calendar has exactly 8 all-day blocks in the view (when it is visible).

Related Changesets

sogo: master ea7934a7

2017-01-06 06:41:38

francis

Details Diff
Fix saving of inactive calendars

Fixes 0003862, #3980
Affected Issues
0003862, 0003980
mod - NEWS Diff File
mod - UI/Common/UIxParentFolderActions.m Diff File
mod - UI/Common/product.plist Diff File
mod - UI/WebServerResources/js/Scheduler/Calendar.service.js Diff File
mod - UI/WebServerResources/js/Scheduler/CalendarsController.js Diff File

Issue History

Date Modified Username Field Change
2016-10-21 13:21 stevenbakker New Issue
2016-12-06 12:48 francis Note Added: 0010953
2016-12-08 11:42 stevenbakker Note Added: 0010962
2017-01-06 06:42 francis Changeset attached => sogo master ea7934a7
2017-01-06 06:42 francis Assigned To => francis
2017-01-06 06:42 francis Resolution open => fixed
2017-01-06 06:42 francis Status new => resolved
2017-01-06 06:42 francis Fixed in Version => 3.2.5